This URL gets all the attack filters assigned to the Sensor for a specific attack.
Resource URL
GET /sensor/<sensor_id>/attackfilter/<attack_id>
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensor_id | Sensor id | Number | Yes |
| attack_id | Attack id to which the attack filters are assigned | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| AttackFilterDescriptor | List of attack filters with basic details | Array |
Details of object in AttackFilterDescriptor:
| Field Name | Description | Data Type |
|---|---|---|
| VisibleToChild | Attack filter visible to child domain | Boolean |
| DomainId | ID of domain in which the attack filter was added | Number |
| IsEditable | If attack filter editable | Boolean |
| LastModTs | Last modified time stamp | String |
| filterId | Attack filter id | Number |
| name | Attack filter name | String |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/attackfilter/0x40503900
Response
{
"AttackFilterDescriptor": [
{
"VisibleToChild": true,
"name": "test1",
"IsEditable": false,
"filterId": 419,
"DomainId": 0,
"LastModTs": "2012-07-24 00:19:00"
},
{
"VisibleToChild": true,
"name": "test2",
"IsEditable": false,
"filterId": 420,
"DomainId": 0,
"LastModTs": "2012-07-24 00:14:00"
}
]
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1106 | Invalid Sensor |
| 2 | 404 | 1402 | Invalid attack id |